Index: squid/src/HintCacheDisk.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/HintCacheDisk.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/src/HintCacheDisk.c	20 Nov 2001 06:48:42 -0000	1.1.2.1
+++ squid/src/HintCacheDisk.c	21 May 2002 02:46:41 -0000	1.1.2.2
@@ -1,5 +1,5 @@
 /*
- * $Date: 2001/11/20 06:48:42 $ $Id: HintCacheDisk.c,v 1.1.2.1 2001/11/20 06:48:42 jkay Exp $
+ * $Date: 2002/05/21 02:46:41 $ $Id: HintCacheDisk.c,v 1.1.2.2 2002/05/21 02:46:41 jkay Exp $
  *
  * AUTHOR: Mike Dahlin, UT Austin, 1998
  * DEBUG: section 82    On-disk hint cache
@@ -51,20 +51,19 @@
 
 static int readLine(int fd, char *buffer, int max);
 static void initializeFile(int dataFD, int nbuckets, int associativity);
-static int findKey(HintCacheDisk *d, int b, URLKey key, 
-		   HintCacheDiskEntry *foundRet);
-static int deleteKey(HintCacheDisk *d, int b, HintCacheDiskEntry *oldEntry, 
-		     HintCacheDiskEntry *survivingEntry);
-static void insertKey(HintCacheDisk *d, int b, HintCacheDiskEntry *newEntry);
+static int findKey(HintCacheDisk * d, int b, URLKey key,
+    HintCacheDiskEntry * foundRet);
+static int deleteKey(HintCacheDisk * d, int b, HintCacheDiskEntry * oldEntry,
+    HintCacheDiskEntry * survivingEntry);
+static void insertKey(HintCacheDisk * d, int b, HintCacheDiskEntry * newEntry);
 #ifdef MADV_RANDOM
 static caddr_t pageAddr(caddr_t e);
 #endif
-static void sanityCheckMatch(HintCacheDisk *d, HintCacheDiskEntry *bucketp,
-			     HintCacheDiskEntry *entry,
-			     int expectFullMatch, int expectKeyMatch);
-static int bucket(HintCacheDisk *d, URLKey key);
-static HintCacheDiskEntry *readBucket(HintCacheDisk *d, int b);
-static int writeBucket(HintCacheDisk *d, int b, HintCacheDiskEntry *bucketp);
+static void sanityCheckMatch(HintCacheDisk * d, HintCacheDiskEntry * bucketp,
+    HintCacheDiskEntry * entry, int expectFullMatch, int expectKeyMatch);
+static int bucket(HintCacheDisk * d, URLKey key);
+static HintCacheDiskEntry *readBucket(HintCacheDisk * d, int b);
+static int writeBucket(HintCacheDisk * d, int b, HintCacheDiskEntry * bucketp);
 #ifdef DOTEST
 static void timeMadvise();
 #endif
@@ -105,55 +104,49 @@
 static const int DO_PREFETCH = 0;
 
 /*  HintCacheDisk constructor */
-void 
-hintCacheDiskInit(HintCacheDisk *d, char *diskPath)
+void
+hintCacheDiskInit(HintCacheDisk * d, char *diskPath)
 {
     int header;
     int dataF;
     char buffer[BIG_ENOUGH], token[BIG_ENOUGH], dataFile[BIG_ENOUGH];
     int version;
     int size, buckets, associativity;
-    int gotVersion = 0, gotData = 0, gotAssoc = 0, 
-    gotSize = 0, gotBuckets = 0;
+    int gotVersion = 0, gotData = 0, gotAssoc = 0, gotSize = 0, gotBuckets = 0;
 
-    if((pageSize = sysconf(_SC_PAGESIZE)) < 0){
+    if ((pageSize = sysconf(_SC_PAGESIZE)) < 0) {
 	perror("Cannot determine page size\n");
 	exit(-1);
     }
 
     header = open(diskPath, O_RDONLY);
-    if(header < 0){
+    if (header < 0) {
 	debug(HCDISK_DEBUG, 1)
 	    ("warning: Can\'t open %s, hint caching disabled\n", diskPath);
 	HCDisk = NULL;
 	return;
     }
 
-    while(readLine(header, buffer, BIG_ENOUGH)){
-	if(buffer[0] != '#'){
+    while (readLine(header, buffer, BIG_ENOUGH)) {
+	if (buffer[0] != '#') {
 	    sscanf(buffer, "%s", token);
-	    if(!strcmp(token, "VERSION")){
+	    if (!strcmp(token, "VERSION")) {
 		gotVersion = sscanf(buffer, "VERSION %d\n", &version);
 		assert(gotVersion == 1);
 		assert(version == HCD_VERSION);
-	    }
-	    else if(!strcmp(token, "DATA_FILE")){
+	    } else if (!strcmp(token, "DATA_FILE")) {
 		gotData = sscanf(buffer, "DATA_FILE %s\n", dataFile);
 		assert(gotData == 1);
-	    }
-	    else if(!strcmp(token, "SIZE_BYTES")){
+	    } else if (!strcmp(token, "SIZE_BYTES")) {
 		gotSize = sscanf(buffer, "SIZE_BYTES %d\n", &size);
 		assert(gotSize == 1);
-	    }
-	    else if(!strcmp(token, "BUCKETS")){
+	    } else if (!strcmp(token, "BUCKETS")) {
 		gotBuckets = sscanf(buffer, "BUCKETS %d\n", &buckets);
 		assert(gotBuckets == 1);
-	    }
-	    else if(!strcmp(token, "ASSOCIATIVITY")){
+	    } else if (!strcmp(token, "ASSOCIATIVITY")) {
 		gotAssoc = sscanf(buffer, "ASSOCIATIVITY %d\n", &associativity);
 		assert(gotAssoc == 1);
-	    }
-	    else{
+	    } else {
 		/* Ignore what we don't understand */
 	    }
 	}
@@ -163,32 +156,32 @@
     assert(size == buckets * associativity * sizeof(HintCacheDiskEntry));
     d->nbuckets = buckets;
     d->entriesPerBucket = associativity;
-    dataF =  open(dataFile, O_RDWR);
-    if(dataF < 0){
+    dataF = open(dataFile, O_RDWR);
+    if (dataF < 0) {
 	debug(HCDISK_DEBUG, 1)
 	    ("warning: Can\'t open %s, hint caching disabled\n", dataFile);
 	HCDisk = NULL;
 	return;
     }
-    if (Config.Hints.usemmap) {
-	d->mmappedArray = (HintCacheDiskEntry *)mmap(0, size, PROT_READ|PROT_WRITE,
-					      MAP_SHARED, dataF, 0);
-	if(!d->mmappedArray){
+    if (Config.onoff.hint_cache_use_mmap) {
+	d->mmappedArray =
+	    (HintCacheDiskEntry *) mmap(0, size, PROT_READ | PROT_WRITE,
+	    MAP_SHARED, dataF, 0);
+	if (!d->mmappedArray) {
 	    debug(HCDISK_DEBUG, 1)
 		("warning: Can\'t mmap %s, hint caching disabled\n", dataFile);
 	    HCDisk = NULL;
 	    return;
 	}
 #ifdef MADV_RANDOM
-	if(madvise((char *)d->mmappedArray, size, MADV_RANDOM)){
+	if (madvise((char *) d->mmappedArray, size, MADV_RANDOM)) {
 	    debug(HCDISK_DEBUG, 1)
 		("warning: madvise on hint cache data failed");
 	}
 #endif
 	close(dataF);
 	d->fd = -1;
-    }
-    else {
+    } else {
 	d->fd = dataF;
     }
 }
@@ -209,26 +202,26 @@
 static int
 readLine(int fd, char *buffer, int max)
 {
-  ssize_t got;
-  int count = 0;
+    ssize_t got;
+    int count = 0;
 
-  assert(buffer);
-  assert(fd >= 0);
-  assert(fd <= 10000);
-  assert(max > 2); /* need room for \n\0 */
-
-  while(count < max-2){
-    got = read(fd, &buffer[count], 1);
-    if(got != 1){
-      return 0;
-    }
-    if(buffer[count] == '\n'){
-      buffer[count+1] = '\0';
-      return 1;
-    }
-    count++;
-  }
-  return 0;
+    assert(buffer);
+    assert(fd >= 0);
+    assert(fd <= 10000);
+    assert(max > 2);		/* need room for \n\0 */
+
+    while (count < max - 2) {
+	got = read(fd, &buffer[count], 1);
+	if (got != 1) {
+	    return 0;
+	}
+	if (buffer[count] == '\n') {
+	    buffer[count + 1] = '\0';
+	    return 1;
+	}
+	count++;
+    }
+    return 0;
 }
 
 /*
@@ -241,93 +234,95 @@
  *          files open, even if you are allowed to 
  *          have more open file descriptors than that).
  */
-void 
+void
 hintCacheDiskCreateFile(char *hcPath, int size, int associativity)
 {
-  char *dataPath;
-  int buckets;
-  int headerF, dataF;
-  char buffer[BIG_ENOUGH];
-  int len;
-
-  len = strlen(hcPath);
-  dataPath = (char *)xmalloc(len + strlen(suffix) + 1);
-  assert(dataPath);
-  snprintf(dataPath, len, "%s%s", hcPath, suffix);
-
-  buckets = (size / associativity) / sizeof(HintCacheDiskEntry);
-  assert(buckets * associativity * sizeof(HintCacheDiskEntry) <= size);
-  size = buckets * associativity * sizeof(HintCacheDiskEntry);
-
-  headerF = open(hcPath, O_WRONLY|O_CREAT|O_TRUNC, 0744);
-  if(headerF < 0){
-    perror("Opening Hint Cache header");
-    exit(-1);
-  }
-  
-  snprintf(buffer, BIG_ENOUGH,
-	  "# *** Header for hint cache. Do not modify ***\n");
-  write(headerF, buffer, strlen(buffer));
-  snprintf(buffer, BIG_ENOUGH, "VERSION %d\n", HCD_VERSION);
-  write(headerF, buffer, strlen(buffer));
-  snprintf(buffer, BIG_ENOUGH, "DATA_FILE %s\n", dataPath);
-  write(headerF, buffer, strlen(buffer));
-  snprintf(buffer, BIG_ENOUGH, "SIZE_BYTES %d\n", size);
-  write(headerF, buffer, strlen(buffer));
-  snprintf(buffer, BIG_ENOUGH, "BUCKETS %d\n", buckets);
-  write(headerF, buffer, strlen(buffer));
-  snprintf(buffer, BIG_ENOUGH, "ASSOCIATIVITY %d\n", associativity);
-  write(headerF, buffer, strlen(buffer));
-
-  close(headerF);
-
-  /* Open data file*/
-  dataF = open(dataPath, O_WRONLY|O_CREAT|O_TRUNC, 0744);
-  if(dataF < 0){
-    perror("Opening Hint Cache data");
-    exit(-1);
-  }
-
-  /* Need to pre-extend file to 'size' */
-  lseek(dataF, size - 1, 0);
-  write(dataF, "\0", 1);
-  lseek(dataF, 0, 0);
-  
-  initializeFile(dataF, buckets, associativity);
-  close(dataF);
-  xfree(dataPath);
+    char *dataPath;
+    int buckets;
+    int headerF, dataF;
+    char buffer[BIG_ENOUGH];
+    int len;
+
+    len = strlen(hcPath);
+    dataPath = (char *) xmalloc(len + strlen(suffix) + 1);
+    assert(dataPath);
+    snprintf(dataPath, len, "%s%s", hcPath, suffix);
+
+    buckets = (size / associativity) / sizeof(HintCacheDiskEntry);
+    assert(buckets * associativity * sizeof(HintCacheDiskEntry) <= size);
+    size = buckets * associativity * sizeof(HintCacheDiskEntry);
+
+    headerF = open(hcPath, O_WRONLY | O_CREAT | O_TRUNC, 0744);
+    if (headerF < 0) {
+	perror("Opening Hint Cache header");
+	exit(-1);
+    }
+
+    snprintf(buffer, BIG_ENOUGH,
+	"# *** Header for hint cache. Do not modify ***\n");
+    write(headerF, buffer, strlen(buffer));
+    snprintf(buffer, BIG_ENOUGH, "VERSION %d\n", HCD_VERSION);
+    write(headerF, buffer, strlen(buffer));
+    snprintf(buffer, BIG_ENOUGH, "DATA_FILE %s\n", dataPath);
+    write(headerF, buffer, strlen(buffer));
+    snprintf(buffer, BIG_ENOUGH, "SIZE_BYTES %d\n", size);
+    write(headerF, buffer, strlen(buffer));
+    snprintf(buffer, BIG_ENOUGH, "BUCKETS %d\n", buckets);
+    write(headerF, buffer, strlen(buffer));
+    snprintf(buffer, BIG_ENOUGH, "ASSOCIATIVITY %d\n", associativity);
+    write(headerF, buffer, strlen(buffer));
+
+    close(headerF);
+
+    /* Open data file */
+    dataF = open(dataPath, O_WRONLY | O_CREAT | O_TRUNC, 0744);
+    if (dataF < 0) {
+	perror("Opening Hint Cache data");
+	exit(-1);
+    }
+
+    /* Need to pre-extend file to 'size' */
+    lseek(dataF, size - 1, 0);
+    write(dataF, "\0", 1);
+    lseek(dataF, 0, 0);
+
+    initializeFile(dataF, buckets, associativity);
+    close(dataF);
+    xfree(dataPath);
 }
 
 /* Set a file to empty by invalidating all entries.  */
 static void
 initializeFile(int fd, int nbuckets, int associativity)
 {
-  HintCacheDiskEntry invalidEntry;
-  int ibucket, ientry;
-  int count;
-  
-  HCE_INVALIDATE(&invalidEntry.entry);
-  
-  for(ibucket = 0; ibucket < nbuckets; ibucket++){
-    for(ientry = 0; ientry < associativity; ientry++){
-      count = write(fd, &invalidEntry, sizeof(HintCacheDiskEntry));
-      if(count != sizeof(HintCacheDiskEntry)){
-	perror("ERROR Creating HintCacheCache file");
-	exit(-1);
-      }
+    HintCacheDiskEntry invalidEntry;
+    int ibucket, ientry;
+    int count;
+
+    HCE_INVALIDATE(&invalidEntry.entry);
+
+    for (ibucket = 0; ibucket < nbuckets; ibucket++) {
+	for (ientry = 0; ientry < associativity; ientry++) {
+	    count = write(fd, &invalidEntry, sizeof(HintCacheDiskEntry));
+	    if (count != sizeof(HintCacheDiskEntry)) {
+		perror("ERROR Creating HintCacheCache file");
+		exit(-1);
+	    }
+	}
     }
-  }
 }
 
 /*  Unmap the file. */
-void hintCacheDiskClose(HintCacheDisk *d)
+void
+hintCacheDiskClose(HintCacheDisk * d)
 {
-  munmap((char *)d->mmappedArray, d->nbuckets * d->entriesPerBucket);
-  d->mmappedArray = NULL;
+    munmap((char *) d->mmappedArray, d->nbuckets * d->entriesPerBucket);
+    d->mmappedArray = NULL;
 }
 
 /* Update data structures to reflect the fact a copy is cached locally. */
-void hintCacheDiskInformLocal(HintCacheDisk *d, URLKey key, unsigned mtime)
+void
+hintCacheDiskInformLocal(HintCacheDisk * d, URLKey key, unsigned mtime)
 {
     int b;
     HintCacheDiskEntry new, dummyRet, old;
@@ -335,13 +330,13 @@
 
     assert(d);
 
-    if(!URLKEY_COMPARE(key, INVALID_URL_KEY)){
+    if (!URLKEY_COMPARE(key, INVALID_URL_KEY)) {
 	return;
     }
 
     b = bucket(d, key);
     foundOld = findKey(d, b, key, &old);
-    if(foundOld){
+    if (foundOld) {
 	/* Delete old instead of replace to support multiversioning */
 	deleteKey(d, b, &old, &dummyRet);
     }
@@ -349,9 +344,9 @@
     new.rtime = squid_curtime;
     insertKey(d, b, &new);
 #ifdef MADV_RANDOM
-    if(!CACHE_RECENT_WRITES){
-	if(madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
-		   pageSize, MADV_DONTNEED)){
+    if (!CACHE_RECENT_WRITES) {
+	if (madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
+		pageSize, MADV_DONTNEED)) {
 	    debug(HCDISK_DEBUG, 1) ("madvise DONTNEED failed\n");
 	}
     }
@@ -362,15 +357,16 @@
 
 /* Update local data structures to reflect the fact
  * that we no longer have a copy locally.   */
-void hintCacheDiskInvalLocal(HintCacheDisk *d, URLKey key,
-			     unsigned mtime)
+void
+hintCacheDiskInvalLocal(HintCacheDisk * d, URLKey key, unsigned mtime)
 {
     HintCacheDiskEntry myent, dummyRet;
     int b;
 
-    debug(HCDISK_DEBUG, 2) ("HintCacheDiskinvalLocalCopy: deleting %ll\n", key.key);
+    debug(HCDISK_DEBUG, 2) ("HintCacheDiskinvalLocalCopy: deleting %ll\n",
+	key.key);
 
-    if(!URLKEY_COMPARE(key, INVALID_URL_KEY)){
+    if (!URLKEY_COMPARE(key, INVALID_URL_KEY)) {
 	return;
     }
 
@@ -379,9 +375,9 @@
     b = bucket(d, key);
     deleteKey(d, b, &myent, &dummyRet);
 #ifdef MADV_RANDOM
-    if (Config.Hints.usemmap) {
-	if(madvise(pageAddr((caddr_t)(d->mmappedArray + b)),
-		   pageSize, MADV_DONTNEED)){
+    if (Config.onoff.hint_cache_use_mmap) {
+	if (madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
+		pageSize, MADV_DONTNEED)) {
 	    debug(HCDISK_DEBUG, 1) ("Madvise DONTNEED failed\n");
 	}
     }
@@ -390,23 +386,21 @@
 
 /* Warn vm system that certain pages will be needed.  These pages 
  * hold or will hold object mentioned in this hint update. */
-void 
-hintCacheDiskprefetch(HintCacheDisk *d,
-		      HintCacheUpdate *uArray,
-		      int nupdates)
+void
+hintCacheDiskprefetch(HintCacheDisk * d, HintCacheUpdate * uArray, int nupdates)
 {
 #ifdef MADV_RANDOM
     int b;
     int ii;
-    if(DO_PREFETCH && Config.Hints.usemmap) {
-	for(ii = 0; ii < nupdates; ii++){
-	    if(uArray[ii].action == HC_InvalToParent ||
-	       uArray[ii].action == HC_InvalToChild ||
-	       uArray[ii].action == HC_InformToParent ||
-	       uArray[ii].action == HC_InformToChild){
+    if (DO_PREFETCH && Config.onoff.hint_cache_use_mmap) {
+	for (ii = 0; ii < nupdates; ii++) {
+	    if (uArray[ii].action == HC_InvalToParent ||
+		uArray[ii].action == HC_InvalToChild ||
+		uArray[ii].action == HC_InformToParent ||
+		uArray[ii].action == HC_InformToChild) {
 		b = bucket(d, uArray[ii].entry.key);
-		if(madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
-			   pageSize, MADV_WILLNEED)){
+		if (madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
+			pageSize, MADV_WILLNEED)) {
 		    debug(HCDISK_DEBUG, 1) ("madvise WILLNEED failed\n");
 		}
 	    }
@@ -427,29 +421,28 @@
  *          from outside HintCacheDisk.c.
  */
 int
-hintCacheDisknetInvalRecord(HintCacheDisk *d,
-			    HintCacheEntry *entry,
-			    HintCacheEntry *survivor)
+hintCacheDisknetInvalRecord(HintCacheDisk * d,
+    HintCacheEntry * entry, HintCacheEntry * survivor)
 {
     HintCacheDiskEntry dentry, dsurv;
     int remainingCopy;
     int b;
-    
-    if(!HCE_VALID(entry)) {
+
+    if (!HCE_VALID(entry)) {
 	survivor->key.key = 0;
 	return 0;
     }
 
     dentry.entry = *entry;
     dentry.rtime = squid_curtime;
-    
+
     b = bucket(d, entry->key);
     remainingCopy = deleteKey(d, b, &dentry, &dsurv);
     *survivor = dsurv.entry;
 #ifdef MADV_RANDOM
-    if (Config.Hints.usemmap)
-	if(madvise(pageAddr((caddr_t)(d->mmappedArray + b)),
-		   pageSize, MADV_DONTNEED)){
+    if (Config.onoff.hint_cache_use_mmap)
+	if (madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
+		pageSize, MADV_DONTNEED)) {
 	    debug(HCDISK_DEBUG, 1) ("madvise DONTNEED failed\n");
 	}
 #endif
@@ -464,8 +457,8 @@
  *
  *          Takes HintCacheEntrys as args because it's exported.
  */
-int 
-hintCacheDiskUpdateIfCloser(HintCacheDisk *d, HintCacheEntry *new)
+int
+hintCacheDiskUpdateIfCloser(HintCacheDisk * d, HintCacheEntry * new)
 {
     HintCacheDiskEntry old, dummyRet, dnew, *todelete;
     URLKey key = new->key;
@@ -474,36 +467,33 @@
     int ret = 0;
     int foundOld;
     int b;
-    
-    if(!HCE_VALID(new)){
+
+    if (!HCE_VALID(new)) {
 	return 0;
     }
 
     dnew.entry = *new;
     dnew.rtime = squid_curtime;
-    
+
     b = bucket(d, key);
     foundOld = findKey(d, b, key, &old);
     if (!foundOld) {
 	insertKey(d, b, &dnew);
 	todelete = &dnew;
 	ret = 1;
-    }
-    else
+    } else
 	todelete = &old;
-    
-    e = storeGet(key);
+
+    e = hintCacheStoreGet(key);
     if (e && e->lastmod < new->mtime) {
 	/* This hint is about a new version. Invalidate the old version */
 	storeRelease(e);
 	dochange = 1;
-    }
-    else if (foundOld && squid_curtime >= old.rtime + Config.Hints.holddown) {
+    } else if (foundOld && squid_curtime >= old.rtime + Config.Hints.holddown) {
 	/* Don't propagate hints about the same version more often
-	   that once every fifteen minutes. */
+	 * that once every fifteen minutes. */
 	dochange = 1;
-    }
-    else if (hintCacheHierCompareDistance(new->ipaddr, old.entry.ipaddr) < 0) {
+    } else if (hintCacheHierCompareDistance(new->ipaddr, old.entry.ipaddr) < 0) {
 	/* This hint is for cache closer than what we got */
 	dochange = 1;
     }
@@ -514,9 +504,9 @@
 	ret = 1;
     }
 #ifdef MADV_RANDOM
-    if(!CACHE_RECENT_WRITES && Config.Hints.usemmap){
-	if(madvise(pageAddr((caddr_t)(d->mmappedArray + b)),
-		   pageSize, MADV_DONTNEED)){
+    if (!CACHE_RECENT_WRITES && Config.onoff.hint_cache_use_mmap) {
+	if (madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
+		pageSize, MADV_DONTNEED)) {
 	    perror("Madvise DONTNEED failed\n");
 	}
     }
@@ -536,15 +526,14 @@
  *          Takes HintCacheEntry as arg because it is exported.
  */
 int
-hintCacheDiskFindNearest(HintCacheDisk *d, URLKey key,
-			 HintCacheEntry *match)
+hintCacheDiskFindNearest(HintCacheDisk * d, URLKey key, HintCacheEntry * match)
 {
     int b;
     int found;
     HintCacheDiskEntry dent;
 
     assert(match != 0);
-    if(!URLKEY_COMPARE(key, INVALID_URL_KEY)){
+    if (!URLKEY_COMPARE(key, INVALID_URL_KEY)) {
 	return 0;
     }
 
@@ -553,9 +542,9 @@
     if (found)
 	*match = dent.entry;
 #ifdef MADV_RANDOM
-    if(!CACHE_RECENT_READS && Config.Hints.usemmap){
-	if(madvise(pageAddr((caddr_t)(d->mmappedArray + b)),
-		   pageSize, MADV_DONTNEED)){
+    if (!CACHE_RECENT_READS && Config.onoff.hint_cache_use_mmap) {
+	if (madvise(pageAddr((caddr_t) (d->mmappedArray + b)),
+		pageSize, MADV_DONTNEED)) {
 	    perror("Madvise DONTNEED failed\n");
 	}
     }
@@ -566,7 +555,7 @@
 
 /* Return pointer to first entry in bucket for key. */
 static int
-bucket(HintCacheDisk *d, URLKey key)
+bucket(HintCacheDisk * d, URLKey key)
 {
     int b;
 
@@ -583,7 +572,7 @@
 pageAddr(caddr_t e)
 {
     caddr_t ret;
-    ret = e - ((unsigned)e % pageSize);
+    ret = e - ((unsigned) e % pageSize);
     return ret;
 }
 #endif /* MADV_RANDOM */
@@ -602,24 +591,24 @@
  *          at any time.
  */
 static int
-deleteKey(HintCacheDisk *d, int b, HintCacheDiskEntry *entry, HintCacheDiskEntry *survivor)
+deleteKey(HintCacheDisk * d, int b, HintCacheDiskEntry * entry,
+    HintCacheDiskEntry * survivor)
 {
     HintCacheDiskEntry *bucketp = d->mmappedArray + b;
     int ii;
 
     assert(survivor != NULL);
-    assert(entry != survivor); 
+    assert(entry != survivor);
     assert(HintCacheE_VALID(&entry->entry));
 
     bucketp = readBucket(d, b);
-    for(ii = 0; ii < d->entriesPerBucket; ii++){
-	if(!URLKEY_COMPARE(bucketp[ii].entry.key, entry->entry.key)){
-	    if(!HCEntry_Compare(&entry->entry, &bucketp[ii].entry)){
+    for (ii = 0; ii < d->entriesPerBucket; ii++) {
+	if (!URLKEY_COMPARE(bucketp[ii].entry.key, entry->entry.key)) {
+	    if (!HCEntry_Compare(&entry->entry, &bucketp[ii].entry)) {
 		HCE_INVALIDATE(&bucketp[ii].entry);
 		sanityCheckMatch(d, bucketp, entry, 0, 0);
 		break;
-	    }
-	    else{
+	    } else {
 		/*
 		 * Matched key but not NodeId.
 		 */
@@ -647,7 +636,8 @@
  *          If all entries are full, entry d->entriesPerBucket - 1 
  *          (the last entry) is lost.
  */
-static void insertKey(HintCacheDisk *d, int b, HintCacheDiskEntry *entry)
+static void
+insertKey(HintCacheDisk * d, int b, HintCacheDiskEntry * entry)
 {
     HintCacheDiskEntry *bucketp;
     int from, to;
@@ -668,12 +658,12 @@
      * emtpy if all earlier ones are empty (you are always
      * allowed to shift over the last entry.)
      */
-    for(to = 0; to < d->entriesPerBucket - 1; to++){
-	if(!HCE_VALID(&bucketp[to].entry)){
+    for (to = 0; to < d->entriesPerBucket - 1; to++) {
+	if (!HCE_VALID(&bucketp[to].entry)) {
 	    break;
 	}
     }
-    assert(to <= d->entriesPerBucket -1 );
+    assert(to <= d->entriesPerBucket - 1);
     assert(!HCE_VALID(&bucketp[to].entry) || (to == d->entriesPerBucket - 1));
 
     /*
@@ -682,7 +672,7 @@
      * which shifts into the last bucket (entriesPerBucket-1).
      * Don't go any farther, or we clobber the next bucket.
      */
-    for(; to > 0; to--){
+    for (; to > 0; to--) {
 	from = to - 1;
 	assert(from >= 0);
 	bucketp[to] = bucketp[from];
@@ -697,17 +687,17 @@
  *      match specified key.
  */
 static void
-sanityCheckMatch(HintCacheDisk *d, HintCacheDiskEntry *bucketp, HintCacheDiskEntry *entry,
-		 int expectFullMatch, int expectKeyMatch)
+sanityCheckMatch(HintCacheDisk * d, HintCacheDiskEntry * bucketp,
+    HintCacheDiskEntry * entry, int expectFullMatch, int expectKeyMatch)
 {
     int ii;
     int fullMatch = 0, keyMatch = 0;
 
-    for(ii = 0; ii < d->entriesPerBucket; ii++){
-	if(!hintCacheEntryCompare(&bucketp[ii].entry, &entry->entry)){
+    for (ii = 0; ii < d->entriesPerBucket; ii++) {
+	if (!hintCacheEntryCompare(&bucketp[ii].entry, &entry->entry)) {
 	    fullMatch++;
 	}
-	if(!URLKEY_COMPARE(bucketp[ii].entry.key, entry->entry.key)){
+	if (!URLKEY_COMPARE(bucketp[ii].entry.key, entry->entry.key)) {
 	    keyMatch++;
 	}
     }
@@ -727,44 +717,44 @@
  *          at any time.
  */
 static int
-findKey(HintCacheDisk *d, int b, URLKey key, HintCacheDiskEntry *copy)
+findKey(HintCacheDisk * d, int b, URLKey key, HintCacheDiskEntry * copy)
 {
-  HintCacheDiskEntry *bucketp;
-  int ii;
-  
-  bucketp = readBucket(d, b);
-  assert(copy != NULL);
-  assert(copy < bucketp || copy > &bucketp[d->entriesPerBucket-1]);
-  assert(URLKEY_COMPARE(key, INVALID_URL_KEY));
-  for(ii = 0; ii < d->entriesPerBucket; ii++){
-    if(!URLKEY_COMPARE(bucketp[ii].entry.key, key)){
-      *copy = bucketp[ii];
-      assert(!URLKEY_COMPARE(copy->entry.key, key));
-      if(ii != 0){
-	/*
-	 * Move to front of LRU list by deleting entry and inserting
-	 */
-	HCE_INVALIDATE(&bucketp[ii].entry);
-	writeBucket(d, b, &bucketp[ii]);
-	insertKey(d, b, copy);
-      }
-      return 1;
-    }
-  }
-  HCE_INVALIDATE(&copy->entry);
-  return 0;
+    HintCacheDiskEntry *bucketp;
+    int ii;
+
+    bucketp = readBucket(d, b);
+    assert(copy != NULL);
+    assert(copy < bucketp || copy > &bucketp[d->entriesPerBucket - 1]);
+    assert(URLKEY_COMPARE(key, INVALID_URL_KEY));
+    for (ii = 0; ii < d->entriesPerBucket; ii++) {
+	if (!URLKEY_COMPARE(bucketp[ii].entry.key, key)) {
+	    *copy = bucketp[ii];
+	    assert(!URLKEY_COMPARE(copy->entry.key, key));
+	    if (ii != 0) {
+		/*
+		 * Move to front of LRU list by deleting entry and inserting
+		 */
+		HCE_INVALIDATE(&bucketp[ii].entry);
+		writeBucket(d, b, &bucketp[ii]);
+		insertKey(d, b, copy);
+	    }
+	    return 1;
+	}
+    }
+    HCE_INVALIDATE(&copy->entry);
+    return 0;
 }
 
 static HintCacheDiskEntry *
-readBucket(HintCacheDisk *d, int b)
+readBucket(HintCacheDisk * d, int b)
 {
     static HintCacheDiskEntry *bucketp = 0;
     int bucketlen;
 
     /* If using mmap, just return the pointer */
-    if (Config.Hints.usemmap)
-	return(d->mmappedArray + b);
-    
+    if (Config.onoff.hint_cache_use_mmap)
+	return (d->mmappedArray + b);
+
     /* Get a static buffer to put stuff in */
     bucketlen = sizeof(HintCacheDiskEntry) * d->entriesPerBucket;
     if (bucketp == 0) {
@@ -774,40 +764,41 @@
     /* Fetch hint from disk by Unix I/O */
     if (lseek(d->fd, b * sizeof(HintCacheDiskEntry), 0) == -1) {
 	debug(HCDISK_DEBUG, 1) ("warning: can't seek to hint at offset %d\n",
-	      b * sizeof(HintCacheDiskEntry));
+	    b * sizeof(HintCacheDiskEntry));
 	return 0;
     }
     if (read(d->fd, bucketp, bucketlen) == -1) {
 	debug(HCDISK_DEBUG, 1)
 	    ("warning: can't read hint at offset %d\n",
-	     b * sizeof(HintCacheDiskEntry));
+	    b * sizeof(HintCacheDiskEntry));
 	return 0;
     }
-    
+
     return bucketp;
 }
 
 
 static int
-writeBucket(HintCacheDisk *d, int b, HintCacheDiskEntry *bucketp)
+writeBucket(HintCacheDisk * d, int b, HintCacheDiskEntry * bucketp)
 {
     /* If using mmap, no action is necessary - model is that
-       you modify stuff via direct pointer you got from read */
-    if (Config.Hints.usemmap)
+     * you modify stuff via direct pointer you got from read */
+    if (Config.onoff.hint_cache_use_mmap)
 	return 0;
-    
+
     /* Write bucket to disk by Unix I/O */
     if (lseek(d->fd, b * sizeof(HintCacheDiskEntry), 0) == -1) {
 	debug(HCDISK_DEBUG, 1) ("warning: can't seek to hint at offset %d\n",
-	      b * sizeof(HintCacheDiskEntry));
+	    b * sizeof(HintCacheDiskEntry));
 	return -1;
     }
-    if (write(d->fd, bucketp, sizeof(HintCacheDiskEntry) * d->entriesPerBucket) == -1) {
+    if (write(d->fd, bucketp,
+	    sizeof(HintCacheDiskEntry) * d->entriesPerBucket) == -1) {
 	debug(HCDISK_DEBUG, 1) ("warning: can't write hint at offset %d\n",
-	      b * sizeof(HintCacheDiskEntry));
+	    b * sizeof(HintCacheDiskEntry));
 	return -1;
     }
-    
+
     return 0;
 }
 
@@ -816,13 +807,11 @@
 {
     char hcname[256];
 
-    if (!Config.Hints.cachefile[0])
+    if (!Config.Hints.cache_file[0])
 	return;
-    
-    unlink(Config.Hints.cachefile);
-    strcpy(hcname, Config.Hints.cachefile);
+
+    unlink(Config.Hints.cache_file);
+    strcpy(hcname, Config.Hints.cache_file);
     strcat(hcname, ".theCache");
     unlink(hcname);
 }
-
-
Index: squid/src/HintCacheEndian.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/HintCacheEndian.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/src/HintCacheEndian.c	20 Nov 2001 06:52:17 -0000	1.1.2.1
+++ squid/src/HintCacheEndian.c	21 May 2002 02:46:41 -0000	1.1.2.2
@@ -1,7 +1,7 @@
 /*
- * $Date: 2001/11/20 06:52:17 $ $Id: HintCacheEndian.c,v 1.1.2.1 2001/11/20 06:52:17 jkay Exp $
+ * $Date: 2002/05/21 02:46:41 $ $Id: HintCacheEndian.c,v 1.1.2.2 2002/05/21 02:46:41 jkay Exp $
  *
- * DEBUG: section 15    Neighbor Routines
+ * DEBUG: section 85    Hint Cache Endianness conversion routines
  * AUTHOR: Mike Dahlin, UT Austin, 1998
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -45,29 +45,29 @@
 #include "squid.h"
 #include <assert.h>
 
-long long unsigned 
+long long unsigned
 HCEndian_llNetToMachine(long long unsigned net)
 {
-  long unsigned *netLong = (long unsigned *)&net;
-  long long unsigned machine;
-  long unsigned *machineLong = (long unsigned *)&machine;
-
-  machineLong[0] = ntohl(netLong[0]);
-  machineLong[1] = ntohl(netLong[1]);
-  return machine;
+    long unsigned *netLong = (long unsigned *) &net;
+    long long unsigned machine;
+    long unsigned *machineLong = (long unsigned *) &machine;
+
+    machineLong[0] = ntohl(netLong[0]);
+    machineLong[1] = ntohl(netLong[1]);
+    return machine;
 }
 
 
-long long unsigned 
+long long unsigned
 HCEndian_llMachineToNet(long long unsigned machine)
 {
-  long unsigned *machineLong = (long unsigned *)&machine;
-  long long unsigned net;
-  long unsigned *netLong = (long unsigned *)&net;
-
-  netLong[0] = htonl(machineLong[0]);
-  netLong[1] = htonl(machineLong[1]);
-  return net;
+    long unsigned *machineLong = (long unsigned *) &machine;
+    long long unsigned net;
+    long unsigned *netLong = (long unsigned *) &net;
+
+    netLong[0] = htonl(machineLong[0]);
+    netLong[1] = htonl(machineLong[1]);
+    return net;
 }
 
 
@@ -75,23 +75,23 @@
 void
 HCEndian_selfTest(void)
 {
-  static const int verbose = 0;
-  long long unsigned ll1 = (long long unsigned)0x3BCDEF0213579876;
-  long long unsigned ll2;
-
-  printf("HCEndian_selfTest.");
-  if(verbose){
-    printf("before: %llx\n", ll1);
-  }
-  ll2 = HCEndian_llMachineToNet(ll1);
-  if(verbose){
-    printf("during: %llx\n", ll2);
-  }
-  ll2 = HCEndian_llNetToMachine(ll2);
-  if(verbose){
-    printf("after: %llx\n", ll2);
-  }
-  assert(ll1 == ll2);
-  printf("..OK\n");
+    static const int verbose = 0;
+    long long unsigned ll1 = (long long unsigned) 0x3BCDEF0213579876;
+    long long unsigned ll2;
+
+    printf("HCEndian_selfTest.");
+    if (verbose) {
+	printf("before: %llx\n", ll1);
+    }
+    ll2 = HCEndian_llMachineToNet(ll1);
+    if (verbose) {
+	printf("during: %llx\n", ll2);
+    }
+    ll2 = HCEndian_llNetToMachine(ll2);
+    if (verbose) {
+	printf("after: %llx\n", ll2);
+    }
+    assert(ll1 == ll2);
+    printf("..OK\n");
 }
 #endif
